local BOHCB, LDB = unpack(Broker_OrderHallCommandBar)
local CurrencyObject = LibStub("AceEvent-3.0"):Embed(BOHCB:NewDataObject("data source", "Currency"))

local currency

local function Update()
    local currencyInfo = C_CurrencyInfo.GetCurrencyInfo(currency)
    CurrencyObject.icon = currencyInfo.iconFileID
    CurrencyObject.text = BreakUpLargeNumbers(currencyInfo and currencyInfo.quantity or 0)
end

function CurrencyObject:OnInitialize()
    currency = C_Garrison.GetCurrencyTypes(Enum.GarrisonType.Type_7_0)

    self:RegisterEvent("CURRENCY_DISPLAY_UPDATE", Update)
    
    Update()
end

function CurrencyObject.OnTooltipShow(tooltip)
    tooltip:SetCurrencyTokenByID(currency)
end
